Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.puppycrawl.tools.checkstyle.checks.regexp
Class RegexpMultilineCheck

    java.lang.Object
      com.puppycrawl.tools.checkstyle.api.AutomaticBean
          com.puppycrawl.tools.checkstyle.api.AbstractViolationReporter
              com.puppycrawl.tools.checkstyle.api.AbstractFileSetCheck
                  com.puppycrawl.tools.checkstyle.checks.regexp.RegexpMultilineCheck

All Implemented Interfaces:
  Configurable, Contextualizable, FileSetCheck

    public class RegexpMultilineCheck

extends AbstractFileSetCheck

Implementation of a check that looks that matches across multiple lines in any file type.

Author:
  Oliver Burn

Constructor Summary
`RegexpMultilineCheck()`

Method Summary
`void` | `beginProcessing(String aCharset)` Called when about to be called to process a set of files.
`protected void` | `processFiltered(File aFile, List<String> aLines)` Called to process a file that matches the specified file extensions.
`void` | `setFormat(String aFormat)` Set the format of the regular expression to match.
`void` | `setIgnoreCase(boolean aIgnore)` Set whether to ignore case when matching.
`void` | `setMaximum(int aMaximum)` Set the maximum number of matches required per file.
`void` | `setMessage(String aMessage)` Set the message to report for a match.
`void` | `setMinimum(int aMinimum)` Set the minimum number of matches required per file.

Methods inherited from class com.puppycrawl.tools.checkstyle.api.AbstractFileSetCheck
`destroy, finishProcessing, fireErrors, getMessageCollector, getMessageDispatcher, init, log, log, process, setFileExtensions, setMessageDispatcher`

Methods inherited from class com.puppycrawl.tools.checkstyle.api.AbstractViolationReporter
`getCustomMessages, getId, getMessageBundle, getSeverity, getSeverityLevel, log, setId, setSeverity`

Methods inherited from class com.puppycrawl.tools.checkstyle.api.AutomaticBean
`configure, contextualize, finishLocalSetup, getConfiguration, setupChild`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface com.puppycrawl.tools.checkstyle.api.Configurable
`configure`

Methods inherited from interface com.puppycrawl.tools.checkstyle.api.Contextualizable
`contextualize`

Constructor Detail

### RegexpMultilineCheck

    public RegexpMultilineCheck()

Method Detail

### beginProcessing

    public void beginProcessing(String aCharset)

  Description copied from class: `AbstractFileSetCheck`
  Called when about to be called to process a set of files.

  Specified by:
    `beginProcessing` in interface `FileSetCheck`
  Overrides:
    `beginProcessing` in class `AbstractFileSetCheck`
  Parameters:
    `aCharset` - the character set used to read the files.

### processFiltered

    protected void processFiltered(File aFile,
                                   List<String> aLines)

  Description copied from class: `AbstractFileSetCheck`
  Called to process a file that matches the specified file extensions.

  Specified by:
    `processFiltered` in class `AbstractFileSetCheck`
  Parameters:
    `aFile` - the file to be processed
    `aLines` - an immutable list of the contents of the file.

### setFormat

    public void setFormat(String aFormat)

  Set the format of the regular expression to match.

  Parameters:
    `aFormat` - the format of the regular expression to match.

### setMessage

    public void setMessage(String aMessage)

  Set the message to report for a match.

  Parameters:
    `aMessage` - the message to report for a match.

### setMinimum

    public void setMinimum(int aMinimum)

  Set the minimum number of matches required per file.

  Parameters:
    `aMinimum` - the minimum number of matches required per file.

### setMaximum

    public void setMaximum(int aMaximum)

  Set the maximum number of matches required per file.

  Parameters:
    `aMaximum` - the maximum number of matches required per file.

### setIgnoreCase

    public void setIgnoreCase(boolean aIgnore)

  Set whether to ignore case when matching.

  Parameters:
    `aIgnore` - whether to ignore case when matching.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2011. All Rights Reserved.